<?php
	include ('include/config.php') ;
	include ('include/admin_check.php') ;
	include ('include/functions.php') ;
	include ('include/kategoriasor_include.php');

	$id = $_GET["id"] ;

	if (!is_numeric($id))
		$id = 0 ;
		
	if ($id == 0) {
		header("Location: index.php") ;
		exit ;
	}
	
	
	$query = "select id, nyelv_rovid, kep from nyelvek order by suly" ;
	$result = lekerdez($query) ;
	$nyelvek = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$nyelvek[$sor["id"]] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
	$kategoriak = kategoriastruktura(0) ;
	for ($i=0;$i<count($kategoriak);$i++) {
		if ($kategoriak[$i]["szulo"] != '0') {
			$kategoriak[$i]["nev"] = csaladfa_kigyujtes($kategoriak[$i]) ;
		}
	}

	$query = "select termek_kategoriak.*, termek_kategoriak_szovegek.nev, termek_kategoriak_szovegek.url_nev, termek_kategoriak_szovegek.leiras, termek_kategoriak_szovegek.nyelv_rovid, termek_kategoriak_szovegek.title, termek_kategoriak_szovegek.meta_keywords, termek_kategoriak_szovegek.meta_description from termek_kategoriak inner join termek_kategoriak_szovegek on (termek_kategoriak.id = termek_kategoriak_szovegek.termek_kategoria_id) where termek_kategoriak.id = $id" ;
	$result = lekerdez($query) ;
	$adatok = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$adatok[$sor["nyelv_rovid"]] = $sor ;			
		}		
		mysqli_free_result($result) ;
	}

//Azon kategóriákba nem lehet új alkategóriát nyitni, amelyben már van termék		
	$tiltott_kategoriak = array() ;
	$query = "select distinct kategoria_id from termekek order by kategoria_id" ;
	$result = lekerdez($query) ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$tiltott_kategoriak[] = $sor["kategoria_id"] ;
		}
		mysqli_free_result($result) ;
	}
	
	$hibasak = $_SESSION["hibas_adatok"] ;
	unset($_SESSION["hibas_adatok"]) ;
	if ($hibasak == null) {
		$hibasak = array() ;	
	}			
		
?>
<!DOCTYPE html>

<html lang="en">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Termék kategória szerkesztése</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">
    <!-- JavaScript -->
    
<script type="text/javascript" src="tinymce/js/tinymce/tinymce.min.js"></script>

<script language="javascript" type="text/javascript">

tinymce.init({

    selector: "textarea.mcEditor",

    theme: "modern",

	content_css : "/tiny_style.css",

	language : "hu_HU",

    plugins: [

        "advlist autolink lists link image charmap print preview hr anchor pagebreak",

        "searchreplace wordcount visualblocks visualchars code fullscreen",

        "insertdatetime media nonbreaking save table contextmenu directionality",

        "emoticons template paste textcolor filemanager importcss"

    ],

    toolbar1: "insertfile undo redo | styleselect formatselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",

    toolbar2: "print preview media | forecolor backcolor emoticons",

    image_advtab: true,

	extended_valid_elements : "a[name|href|target|title|onclick|class],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],div[class|align|style],iframe[src|width|height|name|align|class], embed[width|height|name|flashvars|src|bgcolor|align|play|loop|quality|allowscriptaccess|type|pluginspage], h1[class|width], h2[class|width], h3[class|width], h4[class|width], h5[class|width], h6[class|width]",

    templates: [

        {title: 'Test template 1', content: 'Test 1'},

        {title: 'Test template 2', content: 'Test 2'}

    ]



});





function toggleEditor(id) {

	if (!tinymce.get(id))

		tinymce.execCommand('mceAddEditor', false, id);

	else

		tinymce.execCommand('mceRemoveEditor', false, id);

}

</script>     

    <script src="js/jquery-1.10.2.js"></script>

    <script src="js/bootstrap.js"></script>



    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

	<script>
		$(document).ready(function() {
			$("#nav-termekek").addClass("open") ;
		}) ;	
		
		function torol(id) {
		    if (confirm("Biztosan törölni akarod?"))
			{
				document.location.href="formok/category-delete.php?id="+id;
			}
		}			
		
	</script>
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Termék kategória szerkesztése</h1>

          </div>

<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	
        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-6">

            <form role="form" action="formok/category-edit.php" method="post" enctype="multipart/form-data" name="edit_category_form" id="edit_category_form">

				<input type="hidden" name="id" value="<?php echo $id;?>">


              <div class="form-group <?php if (in_array("nev", $hibasak)) echo ' has-error';?>">

                <label>Kategória név</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="nev_<?php echo $nyelv["id"];?>" type="text" id="nev_<?php echo $nyelv["id"];?>" value="<?php echo $adatok[$nyelv_id]["nev"];?>"></p>
	<?php
		}
	?>

                <p class="help-block">Itt add meg a kategória nevét</p>

              </div>



              <div class="form-group <?php if (in_array("url_nev", $hibasak)) echo ' has-error';?>">

                <label>Kategória URL név</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="url_nev_<?php echo $nyelv["id"];?>" type="text" id="url_nev_<?php echo $nyelv["id"];?>" value="<?php echo $adatok[$nyelv_id]["url_nev"];?>"></p>
	<?php
		}
	?>

                <p class="help-block">A kategória url neve jelenik meg az elérési útban, itt add meg. Csak az angol abc betűi, számok és kötőjelek lehetnek benne.</p>

              </div>

            

              

              <div class="form-group">

                <label>Szülő kategória</label>

                <select class="form-control" name="szulo" id="szulo">
                <option value="" <?php if ($adatok[$nyelv_id]["szulo"] == "") echo "selected";?>>Nincs</option>

			<?php
				for ($i=0;$i<count($kategoriak);$i++) {
					if (!in_array($kategoriak[$i]["id"], $tiltott_kategoriak)) {
						echo '<option value="'.$kategoriak[$i]["id"].'"' ;
							if ($adatok[$nyelv_id]["szulo"] == $kategoriak[$i]["id"] || $szulo == $kategoriak[$i]["id"]) {
								echo ' selected' ;
							}
						echo '>'.$kategoriak[$i]["nev"].'</option>' ;
					}
				}
			?>
            	</select>

                <p class="help-block">Válaszd ki, hogy az új kategória melyik meglévő kategória alkategóriája lesz. Ha nem adsz meg semmit, akkor a legfelső szintre kerül.</p>

              </div> 

              
              <div class="form-group">

                <label>Kategória leírás</label><br />

  	<?php
		foreach ($nyelvek as $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <textarea name="leiras_<?php echo $nyelv["id"];?>" id="leiras_<?php echo $nyelv["id"];?>" class="form-control mcEditor" rows="30"><?php echo $adatok[$nyelv_id]["leiras"];?></textarea></p>
                <div><a href="javascript:toggleEditor('leiras_<?php echo $nyelv["id"];?>');">TinyMCE Bekapcs / Kikapcs</a><br /></div>
	<?php
		}
	?>

				<p class="help-block">A kategória leírást itt adhatod meg.</p>
              </div>
              
              

              <div class="form-group">

                <label>Kép</label>

				<img src="<?php echo $kategoria_kep_path.$adatok[$nyelv_id]["kep_url"];?>" border="0" /><br />
                <input name="kep" type="file" id="kep">

              </div>        

              <div class="form-group">

                <label>Meta cím</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="title_<?php echo $nyelv["id"];?>" type="text" id="title_<?php echo $nyelv["id"];?>" value="<?php echo $adatok[$nyelv_id]["title"];?>"></p>
	<?php
		}
	?>

                <p class="help-block">A Meta cím az a cím, ami a böngészőablak legtetején, illetve a fülekben megjelenik címként, mikor meg van nyitva az oldal. Ha nincs megadva Meta title, akkor az oldal címe fog megjelenni, tehát nem kötelező.</p>

              </div>   
              <div class="form-group">

                <label>Meta kulcsszavak</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="meta_keywords_<?php echo $nyelv["id"];?>" type="text" id="meta_keywords_<?php echo $nyelv["id"];?>" value="<?php echo $adatok[$nyelv_id]["meta_keywords"];?>"></p>
	<?php
		}
	?>

                <p class="help-block">Az oldal tartalmára jellemző kulcsszavakat sorolja itt fel, vesszővel elválasztva. Nem kötelező.</p>

              </div>   
              <div class="form-group">

                <label>Meta leírás</label><br />

  	<?php
		foreach ($nyelvek as $nyelv_id => $nyelv) {
 			echo '<p><img src="' . $nyelv_kep_path.$nyelv["kep"] . '" border="0" />' ;
	?>
	      <input class="form-control" name="meta_description_<?php echo $nyelv["id"];?>" type="text" id="meta_description_<?php echo $nyelv["id"];?>" value="<?php echo $adatok[$nyelv_id]["meta_description"];?>"></p>
	<?php
		}
	?>

                <p class="help-block">Az oldal tartalmáról írhat ide rövid, pár mondatos ismertetőt. Ha ezt kitölti, a google kereséseknél a találati listában a cím alatt ezek a mondatok fognak megjelenni. Nem kötelező megadni, de keresőoptimalizálás szempontjából hasznos.</p>

              </div>

              <div class="form-group <?php if (in_array("suly", $hibasak)) echo ' has-error';?>">

                <label>Súly</label>

                <input class="form-control" name="suly" type="text" id="suly" size="5" value="<?php if ($adatok[$nyelv_id]["suly"] != "") { echo $adatok[$nyelv_id]["suly"]; } else { echo "0" ; }?>">

                <p class="help-block">A súly egész szám lehet. Ez határozza meg a kategória helyét a listában. Minél kisebb a súlya egy kategóriának, annál előrébb lesz a menüben.</p>

              </div>   

              

              <div class="form-group <?php if (in_array("aktiv", $hibasak)) echo ' has-error';?>">

                <label>Státusz</label>

                <div class="radio">

                  <label>

                    <input type="radio" name="aktiv" id="aktiv1" value="1" <?php if ($adatok[$nyelv_id]["lathato"] == 1) echo "checked";?>>

                    Aktív

                  </label>

                </div>

               <div class="radio">

                  <label>

                    <input type="radio" name="aktiv" id="aktiv2" value="0" <?php if ($adatok[$nyelv_id]["lathato"] == 0) echo "checked";?>>

                    Inaktív

                  </label>

                </div>                
                <p class="help-block">Ezzel tudod ki-be kapcsolni a kategória láthatóságát.</p>                  

              </div>                                

              <button type="submit" class="btn btn-success"><span class="glyphicon glyphicon-ok"> Mentés</span></button>
			&nbsp;&nbsp;
              <button type="button" class="btn btn-sm btn-danger" onClick="javascript: torol('<?php echo $id;?>');">
              	<span class="glyphicon glyphicon-remove-sign"></span> Kategória törlése
              </button>

                       

          </form>                      

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->





  </body>

</html>

